SliceFacade.h File Reference
`#include "SplitStrategy.h"`
`#include "Ideal.h"`
`#include "Facade.h"`
`#include "SliceParams.h"`
`#include "TermConsumer.h"`
`#include "CoefTermConsumer.h"`
`#include "CommonParamsHelper.h"`
`#include <vector>`
`#include <cstdio>`
`#include <string>`

Go to the source code of this file.

## Classes

class | SliceFacade
| A facade for operations on monomial ideals using the Slice Algorithm. More...